# Class User

java.lang.Object
com.codename1.facebook.FBObject
com.codename1.facebook.User

public class User extends FBObject
This class represents a Facebook User objject http://developers.facebook.com/docs/reference/api/user/

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `User()`
  Empty Contructor
  `User(Hashtable props)`
  Creates a user from a hashtable of Facebook user properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getAbout()`

  ###### Returns

  `String`
  `getBio()`

  ###### Returns

  `String`
  `getBirthday()`

  ###### Returns

  `String`
  `getEmail()`

  ###### Returns

  `String`
  `getFirst_name()`
  Deprecated.
  `String`
  `getFirstName()`

  ###### Returns

  `String`
  `getGender()`

  ###### Returns

  `FBObject`
  `getHometown()`
  Gets the user Hometown if available
  `String`
  `getLast_name()`
  Deprecated.
  `String`
  `getLast_updated()`
  Deprecated.
  `String`
  `getLastName()`

  ###### Returns

  `String`
  `getLastUpdated()`

  ###### Returns

  `String`
  `getLink()`

  ###### Returns

  `String`
  `getLocale()`

  ###### Returns

  `FBObject`
  `getLocation()`
  Gets the user City if available
  `String`
  `getQuotes()`

  ###### Returns

  `String`
  `getRelationship_status()`
  Deprecated.
  `String`
  `getRelationshipStatus()`

  ###### Returns

  `long`
  `getTimezone()`

  ###### Returns

  `String`
  `getUsername()`
  Returns the username
  `String`
  `getWebsite()`

  ###### Returns

  `int`
  `hashCode()`
  Returns a hash code value for the object.

  ### Methods inherited from class FBObject

  `getId, getName, setId`

  ### Methods inherited from class Object

  `clone, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### User

    public User()
    Empty Contructor

  - ### User

    public User(Hashtable props)

    Creates a user from a hashtable of Facebook user properties.

    ###### Parameters

    - `props`: the properties map used to initialize the user.

- ## Method Details

  - ### getFirst_name

    @Deprecated public String getFirst_name()
    Deprecated.

    ###### Returns

    the first_name

    ###### Deprecated

    Use `#getFirstName()`.

  - ### getFirstName

    public String getFirstName()

    ###### Returns

    the first name

  - ### getLast_name

    @Deprecated public String getLast_name()
    Deprecated.

    ###### Returns

    the last_name

    ###### Deprecated

    Use `#getLastName()`.

  - ### getLastName

    public String getLastName()

    ###### Returns

    the last name

  - ### getLink

    public String getLink()

    ###### Returns

    the link

  - ### getAbout

    public String getAbout()

    ###### Returns

    the about

  - ### getBirthday

    public String getBirthday()

    ###### Returns

    the birthday

  - ### getEmail

    public String getEmail()

    ###### Returns

    the email

  - ### getWebsite

    public String getWebsite()

    ###### Returns

    the website

  - ### getBio

    public String getBio()

    ###### Returns

    the bio

  - ### getQuotes

    public String getQuotes()

    ###### Returns

    the quotes

  - ### getGender

    public String getGender()

    ###### Returns

    the gender

  - ### getRelationship_status

    @Deprecated public String getRelationship_status()
    Deprecated.

    ###### Returns

    the relationship_status

    ###### Deprecated

    Use `#getRelationshipStatus()`.

  - ### getRelationshipStatus

    public String getRelationshipStatus()

    ###### Returns

    the relationship status

  - ### getTimezone

    public long getTimezone()

    ###### Returns

    the timezone

  - ### getLast_updated

    @Deprecated public String getLast_updated()
    Deprecated.

    ###### Returns

    the last_updated

    ###### Deprecated

    Use `#getLastUpdated()`.

  - ### getLastUpdated

    public String getLastUpdated()

    ###### Returns

    the last updated

  - ### getLocale

    public String getLocale()

    ###### Returns

    the locale

  - ### getUsername

    public String getUsername()
    Returns the username

  - ### getLocation

    public FBObject getLocation()
    Gets the user City if available

  - ### getHometown

    public FBObject getHometown()
    Gets the user Hometown if available

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from
    Overrides:
      `copy` in class `FBObject`

  - ### equals

    public boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The equals method implements an equivalence relation: It is reflexive: for any reference value x, x.equals(x) should return true. It is symmetric: for any reference values x and y, x.equals(y) should return true if and only if y.equals(x) returns true. It is transitive: for any reference values x, y, and z, if x.equals(y) returns true and y.equals(z) returns true, then x.equals(z) should return true. It is consistent: for any reference values x and y, multiple invocations of x.equals(y) consistently return true or consistently return false, provided no information used in equals comparisons on the object is modified. For any non-null reference value x, x.equals(null) should return false. The equals method for class Object implements the most discriminating possible equivalence relation on objects; that is, for any reference values x and y, this method returns true if and only if x and y refer to the same object (x==y has the value true).
    Overrides:
      `equals` in class `FBObject`

  - ### hashCode

    public int hashCode()
    Description copied from class: `FBObject`
    Returns a hash code value for the object. This method is supported for the benefit of hashtables such as those provided by java.util.Hashtable. The general contract of hashCode is: Whenever it is invoked on the same object more than once during an execution of a Java application, the hashCode method must consistently return the same integer, provided no information used in equals comparisons on the object is modified. This integer need not remain consistent from one execution of an application to another execution of the same application. If two objects are equal according to the equals(Object) method, then calling the hashCode method on each of the two objects must produce the same integer result. It is not required that if two objects are unequal according to the equals(java.lang.Object) method, then calling the hashCode method on each of the two objects must produce distinct integer results. However, the programmer should be aware that producing distinct integer results for unequal objects may improve the performance of hashtables. As much as is reasonably practical, the hashCode method defined by class Object does return distinct integers for distinct objects. (This is typically implemented by converting the internal address of the object into an integer, but this implementation technique is not required by the JavaTM programming language.)
    Overrides:
      `hashCode` in class `FBObject`